<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tns="http://services.engine.immobili.prometeia.it/" xmlns:ns1="http://schemas.xmlsoap.org/soap/http" name="CatastoServiceService" targetNamespace="http://services.engine.immobili.prometeia.it/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <xs:schema attributeFormDefault="unqualified" elementFormDefault="unqualified" targetNamespace="http://services.engine.immobili.prometeia.it/" xmlns:xs="http://www.w3.org/2001/XMLSchema">
      <xs:element name="infoCatastaliResponse" type="tns:infoCatastaliResponse" />
      <xs:element name="mapResponse" type="tns:mapResponse" />
      <xs:complexType name="mapByCoordinateRequest">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:request">
            <xs:sequence>
              <xs:element minOccurs="0" name="lat" type="xs:string" />
              <xs:element minOccurs="0" name="lon" type="xs:string" />
              <xs:element minOccurs="0" name="zoom" type="xs:string" />
              <xs:element minOccurs="0" name="width" type="xs:int" />
              <xs:element minOccurs="0" name="height" type="xs:int" />
              <xs:element name="roadmap" type="xs:boolean" />
              <xs:element name="satellite" type="xs:boolean" />
              <xs:element name="streetView" type="xs:boolean" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="request">
        <xs:sequence>
          <xs:element minOccurs="0" name="user" type="tns:user" />
          <xs:element minOccurs="0" name="remoteAddress" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="user">
        <xs:sequence>
          <xs:element minOccurs="0" name="filiale" type="xs:string" />
          <xs:element minOccurs="0" name="password" type="xs:string" />
          <xs:element minOccurs="0" name="userPFTPro" type="xs:string" />
          <xs:element minOccurs="0" name="username" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="mapByCoordinateResponse">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:response">
            <xs:sequence>
              <xs:element minOccurs="0" name="roadmap" type="xs:base64Binary" />
              <xs:element minOccurs="0" name="satellite" type="xs:base64Binary" />
              <xs:element minOccurs="0" name="streetView" type="xs:base64Binary" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="response" abstract="true">
        <xs:sequence>
          <xs:element name="returnCode" type="xs:int" />
          <xs:element minOccurs="0" name="reasonCode" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="whatIfOmiRequest">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:request">
            <xs:sequence>
              <xs:element minOccurs="0" name="codiceFiscale" type="xs:string" />
              <xs:element minOccurs="0" name="chiaveImmobile" type="xs:string" />
              <xs:element minOccurs="0" name="codiceCategoria" type="xs:string" />
              <xs:element minOccurs="0" name="vani" type="xs:decimal" />
              <xs:element minOccurs="0" name="stimaMq" type="xs:decimal" />
              <xs:element minOccurs="0" name="piano" type="xs:string" />
              <xs:element minOccurs="0" name="renditaCatastale" type="xs:decimal" />
              <xs:element minOccurs="0" name="indirizzo" type="xs:string" />
              <xs:element minOccurs="0" name="comune" type="xs:string" />
              <xs:element minOccurs="0" name="statoManutentivo" type="xs:string" />
              <xs:element minOccurs="0" name="ascensore" type="xs:string" />
              <xs:element minOccurs="0" name="giardino" type="xs:string" />
              <xs:element minOccurs="0" name="terrazzo" type="xs:string" />
              <xs:element minOccurs="0" name="qualificaEdificio" type="xs:string" />
              <xs:element minOccurs="0" name="statoLocativo" type="xs:string" />
              <xs:element minOccurs="0" name="riscaldamento" type="xs:string" />
              <xs:element minOccurs="0" name="sicurezza" type="xs:string" />
              <xs:element minOccurs="0" name="esposizioneVista" type="xs:string" />
              <xs:element minOccurs="0" name="finalita" type="xs:string" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="whatIfOmiResponse">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:response">
            <xs:sequence>
              <xs:element minOccurs="0" name="valutazioneOmi" type="tns:valutazioneOmi" />
              <xs:element minOccurs="0" name="valutazioneEvoluta" type="tns:valutazioneEvoluta" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="valutazioneOmi">
        <xs:sequence>
          <xs:element minOccurs="0" name="coordinate" type="tns:coordinate" />
          <xs:element minOccurs="0" name="fascia" type="xs:string" />
          <xs:element minOccurs="0" name="idZona" type="xs:long" />
          <xs:element minOccurs="0" name="indiceVolumi" type="xs:decimal" />
          <xs:element minOccurs="0" name="tipologiaApplicata" type="xs:long" />
          <xs:element minOccurs="0" name="tipologiaEdilizia" type="tns:tipologiaEdilizia" />
          <xs:element minOccurs="0" name="trendVolumi" type="xs:string" />
          <xs:element minOccurs="0" name="valutazioneDefault" type="tns:valutazioneOmiStato" />
          <xs:element minOccurs="0" maxOccurs="unbounded" name="valutazioniStato" nillable="true" type="tns:valutazioneOmiStato" />
          <xs:element minOccurs="0" name="zonaDescrizione" type="xs:string" />
          <xs:element minOccurs="0" name="zonaOmi" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="coordinate">
        <xs:sequence>
          <xs:element minOccurs="0" name="confidenza" type="xs:int" />
          <xs:element minOccurs="0" name="fonte" type="xs:string" />
          <xs:element minOccurs="0" name="x" type="xs:double" />
          <xs:element minOccurs="0" name="y" type="xs:double" />
          <xs:element minOccurs="0" name="z" type="xs:double" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="tipologiaEdilizia">
        <xs:sequence>
          <xs:element minOccurs="0" name="codice" type="xs:int" />
          <xs:element minOccurs="0" name="value" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="valutazioneOmiStato">
        <xs:sequence>
          <xs:element minOccurs="0" name="alphaLocation" type="xs:decimal" />
          <xs:element minOccurs="0" name="alphaReplica" type="xs:decimal" />
          <xs:element minOccurs="0" name="idCluster" type="xs:long" />
          <xs:element minOccurs="0" maxOccurs="unbounded" name="indicatori" nillable="true" type="tns:indicatore" />
          <xs:element minOccurs="0" name="k1" type="xs:decimal" />
          <xs:element minOccurs="0" name="k2" type="xs:decimal" />
          <xs:element minOccurs="0" name="locazioneMassimo" type="xs:decimal" />
          <xs:element minOccurs="0" name="locazioneMinimo" type="xs:decimal" />
          <xs:element minOccurs="0" name="stato" type="xs:string" />
          <xs:element minOccurs="0" name="stimaMq" type="xs:decimal" />
          <xs:element minOccurs="0" name="tipoProxy" type="xs:string" />
          <xs:element minOccurs="0" name="tipoValutazione" type="xs:string" />
          <xs:element minOccurs="0" name="valoreMassimo" type="xs:decimal" />
          <xs:element minOccurs="0" name="valoreMedioPonderatoAcq" type="xs:decimal" />
          <xs:element minOccurs="0" name="valoreMedioPonderatoLoc" type="xs:decimal" />
          <xs:element minOccurs="0" name="valoreMedioStandardAcq" type="xs:decimal" />
          <xs:element minOccurs="0" name="valoreMedioStandardLoc" type="xs:decimal" />
          <xs:element minOccurs="0" name="valoreMinimo" type="xs:decimal" />
          <xs:element minOccurs="0" name="valoreRiferimentoCompravendita" type="xs:decimal" />
          <xs:element minOccurs="0" name="valoreRiferimentoLocazione" type="xs:decimal" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="indicatore">
        <xs:sequence>
          <xs:element minOccurs="0" name="key" type="xs:string" />
          <xs:element minOccurs="0" name="value" type="xs:decimal" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="valutazioneEvoluta">
        <xs:sequence>
          <xs:element minOccurs="0" name="coordinate" type="tns:coordinate" />
          <xs:element minOccurs="0" name="dataStima" type="xs:int" />
          <xs:element minOccurs="0" name="descrizioneColtura" type="xs:string" />
          <xs:element minOccurs="0" name="fascia" type="xs:string" />
          <xs:element minOccurs="0" name="idZona" type="xs:long" />
          <xs:element minOccurs="0" name="indiceVolumi" type="xs:decimal" />
          <xs:element minOccurs="0" name="regioneAgraria" type="xs:string" />
          <xs:element minOccurs="0" name="superficieEttari" type="xs:decimal" />
          <xs:element minOccurs="0" name="superficieMq" type="xs:decimal" />
          <xs:element minOccurs="0" name="tipologiaEdilizia" type="tns:tipologiaEdilizia" />
          <xs:element minOccurs="0" name="trendVolumi" type="xs:string" />
          <xs:element minOccurs="0" name="valoreMq" type="xs:decimal" />
          <xs:element minOccurs="0" name="valoreRiferimentoCompravendita" type="xs:decimal" />
          <xs:element minOccurs="0" name="valutazioneDefault" type="tns:valutazioneImmobile" />
          <xs:element minOccurs="0" maxOccurs="unbounded" name="valutazioneStato" nillable="true" type="tns:valutazioneImmobile" />
          <xs:element minOccurs="0" name="zonaDescrizione" type="xs:string" />
          <xs:element minOccurs="0" name="zonaOmi" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="valutazioneImmobile">
        <xs:sequence>
          <xs:element minOccurs="0" name="alphaLocation" type="xs:decimal" />
          <xs:element minOccurs="0" name="alphaReplica" type="xs:decimal" />
          <xs:element minOccurs="0" maxOccurs="unbounded" name="indicatori" nillable="true" type="tns:indicatore" />
          <xs:element minOccurs="0" name="locazioneMassimo" type="xs:decimal" />
          <xs:element minOccurs="0" name="locazioneMinimo" type="xs:decimal" />
          <xs:element minOccurs="0" name="stato" type="xs:string" />
          <xs:element minOccurs="0" name="tipoProxy" type="xs:string" />
          <xs:element minOccurs="0" name="tipoValutazione" type="xs:string" />
          <xs:element minOccurs="0" name="valoreMassimo" type="xs:decimal" />
          <xs:element minOccurs="0" name="valoreMedioPonderatoAcq" type="xs:decimal" />
          <xs:element minOccurs="0" name="valoreMedioPonderatoLoc" type="xs:decimal" />
          <xs:element minOccurs="0" name="valoreMedioStandardAcq" type="xs:decimal" />
          <xs:element minOccurs="0" name="valoreMedioStandardLoc" type="xs:decimal" />
          <xs:element minOccurs="0" name="valoreMinimo" type="xs:decimal" />
          <xs:element minOccurs="0" name="valoreRiferimentoCompravendita" type="xs:decimal" />
          <xs:element minOccurs="0" name="valoreRiferimentoLocazione" type="xs:decimal" />
          <xs:element minOccurs="0" name="valoreVam" type="xs:decimal" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="comuneRequest">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:request">
            <xs:sequence>
              <xs:element minOccurs="0" name="codiceNazionale" type="xs:string" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="fiscalitaComuneResponse">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:response">
            <xs:sequence>
              <xs:element minOccurs="0" name="comune" type="tns:comune" />
              <xs:element minOccurs="0" name="aliquote">
                <xs:complexType>
                  <xs:sequence>
                    <xs:element minOccurs="0" maxOccurs="unbounded" name="aliquote" type="tns:aliquotaFiscalita" />
                  </xs:sequence>
                </xs:complexType>
              </xs:element>
              <xs:element minOccurs="0" name="detrazioni">
                <xs:complexType>
                  <xs:sequence>
                    <xs:element minOccurs="0" maxOccurs="unbounded" name="detrazione" type="tns:detrazioneFiscalita" />
                  </xs:sequence>
                </xs:complexType>
              </xs:element>
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="comune">
        <xs:sequence>
          <xs:element minOccurs="0" name="abitanti" type="xs:long" />
          <xs:element minOccurs="0" name="altaDensitaAbitativa" type="xs:boolean" />
          <xs:element minOccurs="0" name="areaGeografica" type="xs:string" />
          <xs:element minOccurs="0" name="capoluogo" type="xs:int" />
          <xs:element minOccurs="0" name="codCodFisc" type="xs:string" />
          <xs:element minOccurs="0" name="codIstat6" type="xs:string" />
          <xs:element minOccurs="0" name="codIstatPRNNN" type="xs:string" />
          <xs:element minOccurs="0" name="densita" type="xs:double" />
          <xs:element minOccurs="0" name="descrizione" type="xs:string" />
          <xs:element minOccurs="0" name="interessePaesaggistico" type="xs:string" />
          <xs:element minOccurs="0" name="latitudine" type="xs:double" />
          <xs:element minOccurs="0" name="litoraneo" type="xs:int" />
          <xs:element minOccurs="0" name="longitudine" type="xs:double" />
          <xs:element minOccurs="0" name="montano" type="xs:string" />
          <xs:element minOccurs="0" name="provinciaEstesa" type="xs:string" />
          <xs:element minOccurs="0" name="provinciaSigla" type="xs:string" />
          <xs:element minOccurs="0" name="regione" type="xs:string" />
          <xs:element minOccurs="0" name="superficie" type="xs:double" />
          <xs:element minOccurs="0" name="tipologia" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="aliquotaFiscalita">
        <xs:sequence>
          <xs:element minOccurs="0" name="codice" type="xs:string" />
          <xs:element minOccurs="0" name="codiceSub" type="xs:string" />
          <xs:element minOccurs="0" name="descrizione" type="xs:string" />
          <xs:element name="valore" type="xs:float" />
          <xs:element name="quotapossessore" type="xs:float" />
          <xs:element minOccurs="0" name="tipo" type="xs:string" />
          <xs:element minOccurs="0" name="codiceNazionaleComune" type="xs:string" />
          <xs:element name="idComune" type="xs:long" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="detrazioneFiscalita">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:aliquotaFiscalita">
            <xs:sequence>
              <xs:element minOccurs="0" name="codiceDetrazione" type="xs:string" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="mapRequest">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:request">
            <xs:sequence>
              <xs:element minOccurs="0" name="adrress" type="xs:string" />
              <xs:element minOccurs="0" name="lat" type="xs:string" />
              <xs:element minOccurs="0" name="lon" type="xs:string" />
              <xs:element minOccurs="0" name="format" type="xs:string" />
              <xs:element minOccurs="0" name="zoom" type="xs:string" />
              <xs:element minOccurs="0" name="type" type="xs:string" />
              <xs:element minOccurs="0" name="weight" type="xs:int" />
              <xs:element minOccurs="0" name="height" type="xs:int" />
              <xs:element minOccurs="0" name="scale" type="xs:string" />
              <xs:element minOccurs="0" name="label" type="xs:string" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="mapResponse">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:response">
            <xs:sequence>
              <xs:element minOccurs="0" name="stream" type="xs:base64Binary" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="valutazioneIndirizziRequest">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:request">
            <xs:sequence>
              <xs:element minOccurs="0" maxOccurs="unbounded" name="listaIndirizzi" nillable="true" type="tns:indirizzoDaValutare" />
              <xs:element minOccurs="0" maxOccurs="unbounded" name="categorie" nillable="true" type="xs:string" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="indirizzoDaValutare">
        <xs:sequence>
          <xs:element minOccurs="0" name="comune" type="xs:string" />
          <xs:element minOccurs="0" name="idZona" type="xs:long" />
          <xs:element minOccurs="0" name="indirizzo" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="valutazioneIndirizziResponse">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:response">
            <xs:sequence>
              <xs:element minOccurs="0" maxOccurs="unbounded" name="valutazioneIndirizzo" nillable="true" type="tns:valutazioneIndirizzo" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="valutazioneIndirizzo">
        <xs:sequence>
          <xs:element minOccurs="0" name="indirizzo" type="tns:indirizzoDaValutare" />
          <xs:element minOccurs="0" maxOccurs="unbounded" name="valutazioni" nillable="true" type="tns:valutazionePerCategoria" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="valutazionePerCategoria">
        <xs:sequence>
          <xs:element minOccurs="0" name="categoria" type="xs:string" />
          <xs:element minOccurs="0" name="codiceStato" type="xs:string" />
          <xs:element minOccurs="0" name="errorMessage" type="xs:string" />
          <xs:element minOccurs="0" name="locmax" type="xs:decimal" />
          <xs:element minOccurs="0" name="locmin" type="xs:decimal" />
          <xs:element minOccurs="0" name="valmax" type="xs:decimal" />
          <xs:element minOccurs="0" name="valmin" type="xs:decimal" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="valoreCatastaleRequest">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:request">
            <xs:sequence>
              <xs:element minOccurs="0" name="renditaCatastale" type="xs:decimal" />
              <xs:element minOccurs="0" name="categoria" type="xs:string" />
              <xs:element minOccurs="0" name="tipoCatasto" type="xs:string" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="valoreCatastaleResponce">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:response">
            <xs:sequence>
              <xs:element minOccurs="0" name="valoreCatastale" type="xs:decimal" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="zonaOmiRequest">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:request">
            <xs:sequence>
              <xs:element minOccurs="0" name="codiceComune" type="xs:string" />
              <xs:element minOccurs="0" name="indirizzo" type="xs:string" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="zonaOmiResponse">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:response">
            <xs:sequence>
              <xs:element minOccurs="0" name="coordinateIndirizzo" type="tns:coordinate" />
              <xs:element minOccurs="0" maxOccurs="unbounded" name="zona" nillable="true" type="tns:zonaOmi" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="zonaOmi">
        <xs:sequence>
          <xs:element minOccurs="0" name="areaTerritoriale" type="xs:string" />
          <xs:element minOccurs="0" name="descrizione" type="xs:string" />
          <xs:element minOccurs="0" name="fascia" type="xs:string" />
          <xs:element minOccurs="0" name="idZona" type="xs:long" />
          <xs:element minOccurs="0" name="provincia" type="xs:string" />
          <xs:element minOccurs="0" name="regione" type="xs:string" />
          <xs:element minOccurs="0" name="zona" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="comuneResponse">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:response">
            <xs:sequence>
              <xs:element minOccurs="0" name="comune" type="tns:comune" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="subAliquoteRequest">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:aliquoteRequest">
            <xs:sequence>
              <xs:element minOccurs="0" name="codiceSubAliquota" type="xs:string" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="aliquoteRequest">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:request">
            <xs:sequence>
              <xs:element minOccurs="0" name="codiceAliquota" type="xs:string" />
              <xs:element minOccurs="0" name="codiceNazionaleComune" type="xs:string" />
              <xs:element minOccurs="0" name="tipo" type="xs:string" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="aliquoteResponse">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:response">
            <xs:sequence>
              <xs:element minOccurs="0" name="aliquote">
                <xs:complexType>
                  <xs:sequence>
                    <xs:element minOccurs="0" maxOccurs="unbounded" name="aliquota" type="tns:aliquotaFiscalita" />
                  </xs:sequence>
                </xs:complexType>
              </xs:element>
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="geolocalizzaIndirizzoRequest">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:request">
            <xs:sequence>
              <xs:element minOccurs="0" name="indirizzo" type="xs:string" />
              <xs:element minOccurs="0" name="indirizzoCompleto" type="xs:string" />
              <xs:element minOccurs="0" name="codComune" type="xs:string" />
              <xs:element minOccurs="0" name="comune" type="xs:string" />
              <xs:element minOccurs="0" name="provincia" type="xs:string" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="geolocalizzaIndirizzoResponse">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:response">
            <xs:sequence>
              <xs:element minOccurs="0" name="coordinate" type="tns:coordinate" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="mapComuniItalyRequest">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:request">
            <xs:sequence>
              <xs:element minOccurs="0" maxOccurs="unbounded" name="codiciComune" nillable="true" type="xs:string" />
              <xs:element minOccurs="0" name="markerUrl" type="xs:string" />
              <xs:element minOccurs="0" maxOccurs="unbounded" name="comuni" nillable="true" type="tns:mapComune" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="mapComune">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:mapPoint">
            <xs:sequence>
              <xs:element minOccurs="0" name="comune" type="xs:string" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="mapPoint">
        <xs:sequence>
          <xs:element minOccurs="0" name="imgStream" type="xs:base64Binary" />
          <xs:element minOccurs="0" name="latitudine" type="xs:double" />
          <xs:element minOccurs="0" name="longitudine" type="xs:double" />
          <xs:element minOccurs="0" name="markerUrl" type="xs:string" />
          <xs:element name="parameters">
            <xs:complexType>
              <xs:sequence>
                <xs:element minOccurs="0" maxOccurs="unbounded" name="entry">
                  <xs:complexType>
                    <xs:sequence>
                      <xs:element minOccurs="0" name="key" type="xs:string" />
                      <xs:element minOccurs="0" name="value" type="xs:anyType" />
                    </xs:sequence>
                  </xs:complexType>
                </xs:element>
              </xs:sequence>
            </xs:complexType>
          </xs:element>
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="detrazioneRequest">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:request">
            <xs:sequence>
              <xs:element minOccurs="0" name="codiceAliquota" type="xs:string" />
              <xs:element minOccurs="0" name="codiceSubAliquota" type="xs:string" />
              <xs:element minOccurs="0" name="codiceDetrazione" type="xs:string" />
              <xs:element minOccurs="0" name="codiceNazionaleComune" type="xs:string" />
              <xs:element minOccurs="0" name="tipo" type="xs:string" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="detrazioniResponse">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:response">
            <xs:sequence>
              <xs:element minOccurs="0" name="detrazioni">
                <xs:complexType>
                  <xs:sequence>
                    <xs:element minOccurs="0" maxOccurs="unbounded" name="detrazione" type="tns:detrazioneFiscalita" />
                  </xs:sequence>
                </xs:complexType>
              </xs:element>
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="anagraficaComuniResponse">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:response">
            <xs:sequence>
              <xs:element minOccurs="0" maxOccurs="unbounded" name="comune" nillable="true" type="tns:comune" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="statoRichiesteRequest">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:request">
            <xs:sequence>
              <xs:element minOccurs="0" maxOccurs="unbounded" name="codiciFiscali" nillable="true" type="xs:string" />
              <xs:element minOccurs="0" maxOccurs="unbounded" name="richieste" nillable="true" type="tns:statoRichiestaInput" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="statoRichiestaInput">
        <xs:sequence>
          <xs:element minOccurs="0" name="codiceFiscale" type="xs:string" />
          <xs:element minOccurs="0" name="type" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="statoRichiesteResponse">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:response">
            <xs:sequence>
              <xs:element name="stato" type="xs:int" />
              <xs:element minOccurs="0" maxOccurs="unbounded" name="statoRichieste" nillable="true" type="tns:statoRichiesta" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="statoRichiesta">
        <xs:sequence>
          <xs:element minOccurs="0" name="codiceFiscale" type="xs:string" />
          <xs:element name="stato" type="xs:int" />
          <xs:element minOccurs="0" name="type" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="dataAggiornamentoRequest">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:request">
            <xs:sequence />
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="dataAggiornamentoResponse">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:response">
            <xs:sequence>
              <xs:element name="dataAggiornamento" type="xs:int" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="whatIfOnlineRequest">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:request">
            <xs:sequence>
              <xs:element minOccurs="0" name="tipo" type="xs:string" />
              <xs:element minOccurs="0" name="categoria" type="xs:string" />
              <xs:element minOccurs="0" name="qualita" type="xs:string" />
              <xs:element minOccurs="0" name="macroQualita" type="xs:string" />
              <xs:element minOccurs="0" name="codiceComune" type="xs:string" />
              <xs:element minOccurs="0" name="indirizzo" type="xs:string" />
              <xs:element minOccurs="0" name="superficieMq" type="xs:decimal" />
              <xs:element minOccurs="0" name="vani" type="xs:decimal" />
              <xs:element minOccurs="0" name="ettari" type="xs:decimal" />
              <xs:element minOccurs="0" name="valoreRendita" type="xs:decimal" />
              <xs:element minOccurs="0" name="piano" type="xs:string" />
              <xs:element minOccurs="0" name="ascensore" type="xs:string" />
              <xs:element minOccurs="0" name="statoManutentivo" type="xs:string" />
              <xs:element minOccurs="0" name="giardino" type="xs:string" />
              <xs:element minOccurs="0" name="terrazzo" type="xs:string" />
              <xs:element minOccurs="0" name="qualificaEdificio" type="xs:string" />
              <xs:element minOccurs="0" name="statoLocativo" type="xs:string" />
              <xs:element minOccurs="0" name="riscaldamento" type="xs:string" />
              <xs:element minOccurs="0" name="sicurezza" type="xs:string" />
              <xs:element minOccurs="0" name="esposizioneVista" type="xs:string" />
              <xs:element minOccurs="0" name="finalita" type="xs:string" />
              <xs:element minOccurs="0" name="piscina" type="xs:string" />
              <xs:element minOccurs="0" name="immobilePregioArtistico" type="xs:string" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="whatIfOnlineResponse">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:response">
            <xs:sequence>
              <xs:element minOccurs="0" name="valutazioneEvoluta" type="tns:valutazioneEvoluta" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="tariImmobiliRequest">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:request">
            <xs:sequence>
              <xs:element minOccurs="0" name="rangeValori" type="xs:boolean" />
              <xs:element minOccurs="0" maxOccurs="unbounded" name="immobili" nillable="true" type="tns:tariImmobileInput" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="tariImmobileInput">
        <xs:sequence>
          <xs:element minOccurs="0" name="categoriaCatastale" type="xs:string" />
          <xs:element minOccurs="0" name="chiaveImmobile" type="xs:string" />
          <xs:element minOccurs="0" name="codComune" type="xs:string" />
          <xs:element minOccurs="0" name="destinazioneUso" type="xs:string" />
          <xs:element minOccurs="0" name="pertinenzaUtDomestica" type="xs:boolean" />
          <xs:element minOccurs="0" name="subTariffaUtDomestica" type="xs:string" />
          <xs:element minOccurs="0" name="subTariffaUtNonDomestica" type="xs:string" />
          <xs:element minOccurs="0" name="superficieTARI" type="xs:decimal" />
          <xs:element minOccurs="0" name="tariffaUtDomestica" type="xs:long" />
          <xs:element minOccurs="0" name="tariffaUtNonDomestica" type="xs:long" />
          <xs:element minOccurs="0" name="tipoCatasto" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="tariImmobiliResponse">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:response">
            <xs:sequence>
              <xs:element minOccurs="0" maxOccurs="unbounded" name="immobili" nillable="true" type="tns:tariImmobileOutput" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="tariImmobileOutput">
        <xs:sequence>
          <xs:element minOccurs="0" name="baseImponibile" type="xs:decimal" />
          <xs:element minOccurs="0" name="chiaveImmobile" type="xs:string" />
          <xs:element minOccurs="0" name="codiceTariffa" type="xs:long" />
          <xs:element minOccurs="0" name="descrizioneTariffa" type="xs:string" />
          <xs:element minOccurs="0" name="errorCode" type="xs:string" />
          <xs:element minOccurs="0" name="errorDescription" type="xs:string" />
          <xs:element name="status" type="xs:int" />
          <xs:element minOccurs="0" name="tari" type="xs:decimal" />
          <xs:element minOccurs="0" name="tariMax" type="xs:decimal" />
          <xs:element minOccurs="0" name="tariMin" type="xs:decimal" />
          <xs:element minOccurs="0" name="valoreTariffaFissa" type="xs:decimal" />
          <xs:element minOccurs="0" name="valoreTariffaMq" type="xs:decimal" />
          <xs:element minOccurs="0" name="valoreTariffaVariabile" type="xs:decimal" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="infoCatastaliMassivaRequest">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:request">
            <xs:sequence>
              <xs:element minOccurs="0" maxOccurs="unbounded" name="codiciFiscali" nillable="true" type="xs:string" />
              <xs:element name="mode" type="xs:int" />
              <xs:element minOccurs="0" maxOccurs="unbounded" name="codiciFiscaliInput" nillable="true" type="tns:massivaCodiceFiscaleInput" />
              <xs:element minOccurs="0" name="nomeMassiva" type="xs:string" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="massivaCodiceFiscaleInput">
        <xs:sequence>
          <xs:element minOccurs="0" name="codiceFiscale" type="xs:string" />
          <xs:element minOccurs="0" maxOccurs="unbounded" name="immobili" nillable="true" type="tns:massivaImmobileInput" />
          <xs:element minOccurs="0" name="type" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="massivaImmobileInput">
        <xs:sequence>
          <xs:element minOccurs="0" name="chiaveImmobile" type="xs:string" />
          <xs:element minOccurs="0" name="fiscalitaRequest" type="tns:aliquotaImmobileInput" />
          <xs:element minOccurs="0" name="whatIfOmi" type="tns:whatIfOmiRequest" />
          <xs:element minOccurs="0" name="whatIfOnline" type="tns:whatIfOnlineRequest" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="aliquotaImmobileInput">
        <xs:sequence>
          <xs:element minOccurs="0" name="chiaveImmobile" type="xs:string" />
          <xs:element minOccurs="0" name="comune" type="xs:string" />
          <xs:element minOccurs="0" name="indirizzo" type="xs:string" />
          <xs:element minOccurs="0" name="categoria" type="xs:string" />
          <xs:element minOccurs="0" name="tipoCatasto" type="xs:string" />
          <xs:element minOccurs="0" name="renditaCatastale" type="xs:decimal" />
          <xs:element minOccurs="0" name="mesiPossesso" type="xs:int" />
          <xs:element minOccurs="0" name="presenzaDetentore" type="xs:boolean" />
          <xs:element minOccurs="0" name="codAliquota" type="xs:string" />
          <xs:element minOccurs="0" name="codSubAliquoteImu" type="xs:string" />
          <xs:element minOccurs="0" name="detrazioniImu">
            <xs:complexType>
              <xs:sequence>
                <xs:element minOccurs="0" maxOccurs="unbounded" name="detrazioneImu" type="xs:string" />
              </xs:sequence>
            </xs:complexType>
          </xs:element>
          <xs:element minOccurs="0" name="codSubAliquoteTasi" type="xs:string" />
          <xs:element minOccurs="0" name="detrazioniTasi">
            <xs:complexType>
              <xs:sequence>
                <xs:element minOccurs="0" maxOccurs="unbounded" name="detrazioneTasi" type="xs:string" />
              </xs:sequence>
            </xs:complexType>
          </xs:element>
          <xs:element minOccurs="0" name="abitazionePrincipale" type="xs:boolean" />
          <xs:element minOccurs="0" name="pertinenzaAbPrincipale" type="xs:boolean" />
          <xs:element minOccurs="0" name="destinazioneUso" type="xs:string" />
          <xs:element minOccurs="0" name="baseImponibile" type="xs:decimal" />
          <xs:element minOccurs="0" name="aliquotaImu" type="xs:decimal" />
          <xs:element minOccurs="0" name="aliquotaTasi" type="xs:decimal" />
          <xs:element minOccurs="0" name="detrazioneValImu" type="xs:decimal" />
          <xs:element minOccurs="0" name="detrazioneValTasi" type="xs:decimal" />
          <xs:element minOccurs="0" name="categoriaCatastaleAbitazionePrincipale" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="infoCatastaliMassivaResponse">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:response">
            <xs:sequence>
              <xs:element minOccurs="0" name="id" type="xs:long" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="aliquoteImmobiliRequest">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:request">
            <xs:sequence>
              <xs:element minOccurs="0" name="immobili">
                <xs:complexType>
                  <xs:sequence>
                    <xs:element minOccurs="0" maxOccurs="unbounded" name="immobile" type="tns:aliquotaImmobileInput" />
                  </xs:sequence>
                </xs:complexType>
              </xs:element>
              <xs:element minOccurs="0" name="rangeValori" type="xs:boolean" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="aliquoteImmobiliResponse">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:response">
            <xs:sequence>
              <xs:element minOccurs="0" name="immobili">
                <xs:complexType>
                  <xs:sequence>
                    <xs:element minOccurs="0" maxOccurs="unbounded" name="immobile" type="tns:aliquotaImmobileOutput" />
                  </xs:sequence>
                </xs:complexType>
              </xs:element>
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="aliquotaImmobileOutput">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:response">
            <xs:sequence>
              <xs:element minOccurs="0" name="chiaveImmobile" type="xs:string" />
              <xs:element minOccurs="0" name="baseImponibile" type="xs:decimal" />
              <xs:element minOccurs="0" name="imu" type="tns:fiscalita" />
              <xs:element minOccurs="0" name="tasi" type="tns:fiscalita" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="fiscalita">
        <xs:sequence>
          <xs:element minOccurs="0" name="aliquota" type="tns:aliquotaFiscalita" />
          <xs:element minOccurs="0" name="subAliquota" type="tns:aliquotaFiscalita" />
          <xs:element minOccurs="0" name="detrazioni">
            <xs:complexType>
              <xs:sequence>
                <xs:element minOccurs="0" maxOccurs="unbounded" name="detrazione" type="tns:detrazioneFiscalita" />
              </xs:sequence>
            </xs:complexType>
          </xs:element>
          <xs:element minOccurs="0" name="valoreMin" type="xs:decimal" />
          <xs:element minOccurs="0" name="valoreMax" type="xs:decimal" />
          <xs:element minOccurs="0" name="valore" type="xs:decimal" />
          <xs:element name="esente" type="xs:boolean" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="infoCatastaliByCodiceFiscaleRequest">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:request">
            <xs:sequence>
              <xs:element minOccurs="0" name="codiceFiscale" type="xs:string" />
              <xs:element minOccurs="0" name="type" type="xs:string" />
              <xs:element name="forceReload" type="xs:boolean" />
              <xs:element minOccurs="0" name="indirizzoResidenza" type="xs:string" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="infoCatastaliResponse">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:response">
            <xs:sequence>
              <xs:element minOccurs="0" name="id" type="xs:string" />
              <xs:element minOccurs="0" name="score" type="xs:string" />
              <xs:element minOccurs="0" name="costo" type="xs:double" />
              <xs:element minOccurs="0" name="time" type="xs:dateTime" />
              <xs:element name="dataAggiornamento" type="xs:int" />
              <xs:element minOccurs="0" name="infoRichiesta" type="tns:informazioniRichiesta" />
              <xs:element minOccurs="0" name="visuraCatastale" type="tns:visuraCatastale" />
              <xs:element minOccurs="0" maxOccurs="unbounded" name="listaSoggetti" nillable="true" type="tns:soggetto" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="informazioniRichiesta">
        <xs:sequence>
          <xs:element minOccurs="0" name="immobile" type="tns:immobileRichiesta" />
          <xs:element minOccurs="0" name="riferimento" type="xs:string" />
          <xs:element minOccurs="0" name="soggetto" type="tns:soggetto" />
          <xs:element minOccurs="0" name="ufficioCatastale" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="immobileRichiesta">
        <xs:sequence>
          <xs:element minOccurs="0" name="comune" type="tns:comune" />
          <xs:element minOccurs="0" name="foglio" type="xs:string" />
          <xs:element minOccurs="0" name="particella" type="xs:string" />
          <xs:element minOccurs="0" name="subalterno" type="xs:string" />
          <xs:element minOccurs="0" name="tipoCatasto" type="tns:immobileType" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="soggetto">
        <xs:sequence>
          <xs:element minOccurs="0" name="cciaa" type="tns:cciaa" />
          <xs:element minOccurs="0" name="codiceFiscale" type="xs:string" />
          <xs:element minOccurs="0" name="cognome" type="xs:string" />
          <xs:element minOccurs="0" name="comuneNascita" type="tns:comune" />
          <xs:element minOccurs="0" name="dataNascita" type="xs:dateTime" />
          <xs:element minOccurs="0" name="denominazione" type="xs:string" />
          <xs:element minOccurs="0" maxOccurs="unbounded" name="elencoNumeriTelefono" nillable="true" type="xs:string" />
          <xs:element minOccurs="0" name="formaGiuridica" type="tns:codFormaGiuridicaType" />
          <xs:element minOccurs="0" name="id" type="xs:integer" />
          <xs:element minOccurs="0" name="idSoggetto" type="xs:string" />
          <xs:element minOccurs="0" maxOccurs="unbounded" name="indirizzi" nillable="true" type="tns:indirizzo" />
          <xs:element minOccurs="0" name="nome" type="xs:string" />
          <xs:element minOccurs="0" name="nominativo" type="xs:string" />
          <xs:element minOccurs="0" name="note" type="xs:string" />
          <xs:element minOccurs="0" name="partitaIva" type="xs:string" />
          <xs:element minOccurs="0" name="statoNascita" type="tns:stato" />
          <xs:element minOccurs="0" name="tipo" type="tns:soggettoType" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="cciaa">
        <xs:sequence>
          <xs:element minOccurs="0" name="numeroREA" type="xs:integer" />
          <xs:element minOccurs="0" name="provinciaSigla" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="indirizzo">
        <xs:sequence>
          <xs:element minOccurs="0" name="cap" type="xs:string" />
          <xs:element minOccurs="0" name="comune" type="tns:comune" />
          <xs:element minOccurs="0" name="descrizione" type="xs:string" />
          <xs:element minOccurs="0" name="localita" type="xs:string" />
          <xs:element minOccurs="0" name="numeroCivico" type="xs:string" />
          <xs:element minOccurs="0" name="particellaToponomastica" type="xs:string" />
          <xs:element minOccurs="0" name="stato" type="tns:stato" />
          <xs:element minOccurs="0" name="tipoIndirizzo" type="xs:string" />
          <xs:element minOccurs="0" name="toponimo" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="stato">
        <xs:sequence>
          <xs:element minOccurs="0" name="codStato" type="xs:string" />
          <xs:element minOccurs="0" name="descrizione" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="visuraCatastale">
        <xs:sequence>
          <xs:element minOccurs="0" maxOccurs="unbounded" name="elencoDocumenti" nillable="true" type="tns:documento" />
          <xs:element minOccurs="0" maxOccurs="unbounded" name="elencoInfoCatasto" nillable="true" type="tns:informazioniCatasto" />
          <xs:element minOccurs="0" name="infoRichiesta" type="tns:informazioniRichiesta" />
          <xs:element minOccurs="0" name="stato" type="xs:string" />
          <xs:element minOccurs="0" name="tipoVisura" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="documento">
        <xs:sequence>
          <xs:element minOccurs="0" name="contenuto" type="xs:base64Binary" />
          <xs:element minOccurs="0" name="nome" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="informazioniCatasto">
        <xs:sequence>
          <xs:element minOccurs="0" maxOccurs="unbounded" name="elencoUnitaImmobiliari" nillable="true" type="tns:unitaImmobiliare" />
          <xs:element minOccurs="0" name="soggetto" type="tns:soggetto" />
          <xs:element minOccurs="0" name="ufficioCatastale" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="unitaImmobiliare">
        <xs:sequence>
          <xs:element minOccurs="0" name="comune" type="tns:comune" />
          <xs:element minOccurs="0" name="datiDerivanti" type="xs:string" />
          <xs:element minOccurs="0" maxOccurs="unbounded" name="elencoInfoImmobileFabbricato" nillable="true" type="tns:informazioneImmobileFabbricato" />
          <xs:element minOccurs="0" maxOccurs="unbounded" name="elencoIntestatari" nillable="true" type="tns:intestatario" />
          <xs:element minOccurs="0" name="tipoImmobileFabbricato" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="informazioneImmobileFabbricato">
        <xs:sequence>
          <xs:element minOccurs="0" name="abitazionePrincipale" type="xs:boolean" />
          <xs:element minOccurs="0" name="aliquota" type="tns:aliquotaImmobileOutput" />
          <xs:element minOccurs="0" name="categoria" type="xs:string" />
          <xs:element minOccurs="0" name="chiaveImmobile" type="xs:string" />
          <xs:element minOccurs="0" name="classe" type="xs:string" />
          <xs:element minOccurs="0" name="datiDerivanti" type="xs:string" />
          <xs:element minOccurs="0" name="datiulteriori" type="xs:string" />
          <xs:element minOccurs="0" maxOccurs="unbounded" name="errori" nillable="true" type="tns:errore" />
          <xs:element minOccurs="0" name="foglio" type="xs:string" />
          <xs:element minOccurs="0" name="immagine" type="tns:immagine" />
          <xs:element minOccurs="0" maxOccurs="unbounded" name="indicatore" nillable="true" type="tns:indicatore" />
          <xs:element minOccurs="0" name="indirizzo" type="tns:indirizzo" />
          <xs:element minOccurs="0" name="latitudine" type="xs:double" />
          <xs:element minOccurs="0" name="longitudine" type="xs:double" />
          <xs:element minOccurs="0" name="macroQualita" type="xs:string" />
          <xs:element minOccurs="0" name="microzona" type="xs:string" />
          <xs:element minOccurs="0" name="particella" type="xs:string" />
          <xs:element minOccurs="0" name="pertinenzaAbitazionePrincipale" type="xs:boolean" />
          <xs:element minOccurs="0" name="piano" type="xs:string" />
          <xs:element minOccurs="0" name="pianoDecodifica" type="xs:string" />
          <xs:element minOccurs="0" name="porzione" type="xs:string" />
          <xs:element minOccurs="0" name="prgTerFab" type="xs:integer" />
          <xs:element minOccurs="0" name="prgTerFabGrf" type="xs:integer" />
          <xs:element minOccurs="0" name="qualita" type="xs:string" />
          <xs:element minOccurs="0" name="qualitaDescrizione" type="xs:string" />
          <xs:element minOccurs="0" name="raggruppamentoImmobile" type="xs:integer" />
          <xs:element minOccurs="0" name="redditoAgrario" type="tns:importo" />
          <xs:element minOccurs="0" name="redditoDomenicale" type="tns:importo" />
          <xs:element minOccurs="0" name="sezioneUrbana" type="xs:string" />
          <xs:element minOccurs="0" name="subalterno" type="xs:string" />
          <xs:element minOccurs="0" name="supAre" type="xs:integer" />
          <xs:element minOccurs="0" name="supCatastale" type="xs:decimal" />
          <xs:element minOccurs="0" name="supCentiare" type="xs:integer" />
          <xs:element minOccurs="0" name="supConsistenza" type="xs:decimal" />
          <xs:element minOccurs="0" name="supEttari" type="xs:integer" />
          <xs:element minOccurs="0" name="supTerreno" type="xs:decimal" />
          <xs:element minOccurs="0" name="tari" type="tns:tariImmobileOutput" />
          <xs:element minOccurs="0" name="tipoImmobile" type="tns:immobileType" />
          <xs:element minOccurs="0" name="ulterioneSpecificaTerreno" type="xs:string" />
          <xs:element minOccurs="0" name="unitaMisuraSuperficie" type="xs:string" />
          <xs:element minOccurs="0" name="valoreCatastale" type="xs:decimal" />
          <xs:element minOccurs="0" name="valoreRendita" type="tns:importo" />
          <xs:element minOccurs="0" name="valutazioneEvoluta" type="tns:valutazioneEvoluta" />
          <xs:element minOccurs="0" name="valutazioneOmi" type="tns:valutazioneOmi" />
          <xs:element minOccurs="0" name="valutazioneTerreno" type="tns:valutazioneTerreno" />
          <xs:element minOccurs="0" name="vani" type="xs:decimal" />
          <xs:element minOccurs="0" name="zonacensuaria" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="errore">
        <xs:sequence>
          <xs:element minOccurs="0" name="codice" type="xs:string" />
          <xs:element minOccurs="0" name="descrizione" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="immagine">
        <xs:sequence>
          <xs:element minOccurs="0" name="roadMap" type="xs:base64Binary" />
          <xs:element minOccurs="0" name="satellite" type="xs:base64Binary" />
          <xs:element minOccurs="0" name="streetView" type="xs:base64Binary" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="importo">
        <xs:sequence>
          <xs:element minOccurs="0" name="codiceDivisa" type="xs:string" />
          <xs:element minOccurs="0" name="divisa" type="xs:string" />
          <xs:element minOccurs="0" name="valore" type="xs:decimal" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="valutazioneTerreno">
        <xs:sequence>
          <xs:element minOccurs="0" name="descrizioneColtura" type="xs:string" />
          <xs:element minOccurs="0" name="regioneAgraria" type="xs:string" />
          <xs:element minOccurs="0" name="valutazioneDefault" type="xs:decimal" />
          <xs:element minOccurs="0" name="valutazioneVam" type="xs:decimal" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="intestatario">
        <xs:sequence>
          <xs:element minOccurs="0" name="diritti" type="tns:quotaDiritto" />
          <xs:element minOccurs="0" name="soggetto" type="tns:soggetto" />
          <xs:element minOccurs="0" name="ulterioriSpecifiche" type="xs:anyType" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="quotaDiritto">
        <xs:sequence>
          <xs:element minOccurs="0" name="denominatore" type="xs:integer" />
          <xs:element minOccurs="0" name="descrizione" type="xs:string" />
          <xs:element minOccurs="0" name="macroTipo" type="xs:string" />
          <xs:element minOccurs="0" name="numeratore" type="xs:integer" />
          <xs:element minOccurs="0" name="percAliquotaIMU" type="xs:decimal" />
          <xs:element minOccurs="0" name="percAliquotaTASI" type="xs:decimal" />
          <xs:element minOccurs="0" name="percVal" type="xs:decimal" />
          <xs:element minOccurs="0" name="tipo" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="statoMassivaRequest">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:request">
            <xs:sequence>
              <xs:element minOccurs="0" name="idMassiva" type="xs:long" />
              <xs:element minOccurs="0" name="nomeMassiva" type="xs:string" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="statoMassivaResponse">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:response">
            <xs:sequence>
              <xs:element minOccurs="0" name="stato" type="xs:int" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:simpleType name="immobileType">
        <xs:restriction base="xs:string">
          <xs:enumeration value="F" />
          <xs:enumeration value="T" />
        </xs:restriction>
      </xs:simpleType>
      <xs:simpleType name="codFormaGiuridicaType">
        <xs:restriction base="xs:string">
          <xs:enumeration value="COP" />
          <xs:enumeration value="CNZ" />
          <xs:enumeration value="IND" />
          <xs:enumeration value="SDF" />
          <xs:enumeration value="SAS" />
          <xs:enumeration value="SNC" />
          <xs:enumeration value="SRL" />
          <xs:enumeration value="SPA" />
          <xs:enumeration value="IST" />
        </xs:restriction>
      </xs:simpleType>
      <xs:simpleType name="soggettoType">
        <xs:restriction base="xs:string">
          <xs:enumeration value="G" />
          <xs:enumeration value="P" />
          <xs:enumeration value="F" />
          <xs:enumeration value="X" />
        </xs:restriction>
      </xs:simpleType>
      <xs:element name="Exception" type="tns:Exception" />
      <xs:complexType name="Exception">
        <xs:sequence>
          <xs:element minOccurs="0" name="message" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:element name="getMapByCoordinate" nillable="true" type="tns:mapByCoordinateRequest" />
      <xs:element name="getMapByCoordinateResponse" nillable="true" type="tns:mapByCoordinateResponse" />
      <xs:element name="whatIfValutazioneOmi" nillable="true" type="tns:whatIfOmiRequest" />
      <xs:element name="whatIfValutazioneOmiResponse" nillable="true" type="tns:whatIfOmiResponse" />
      <xs:element name="getFiscalitaComune" nillable="true" type="tns:comuneRequest" />
      <xs:element name="getFiscalitaComuneResponse" nillable="true" type="tns:fiscalitaComuneResponse" />
      <xs:element name="mapByLatLon" nillable="true" type="tns:mapRequest" />
      <xs:element name="mapByLatLonResponse" nillable="true" type="tns:mapResponse" />
      <xs:element name="getValutazioneIndirizzi" nillable="true" type="tns:valutazioneIndirizziRequest" />
      <xs:element name="getValutazioneIndirizziResponse" nillable="true" type="tns:valutazioneIndirizziResponse" />
      <xs:element name="getValoreCatastale" nillable="true" type="tns:valoreCatastaleRequest" />
      <xs:element name="getValoreCatastaleResponse" nillable="true" type="tns:valoreCatastaleResponce" />
      <xs:element name="getZonaOmi" nillable="true" type="tns:zonaOmiRequest" />
      <xs:element name="getZonaOmiResponse" nillable="true" type="tns:zonaOmiResponse" />
      <xs:element name="getComune" nillable="true" type="tns:comuneRequest" />
      <xs:element name="getComuneResponse" nillable="true" type="tns:comuneResponse" />
      <xs:element name="findSubAliquota" nillable="true" type="tns:subAliquoteRequest" />
      <xs:element name="findSubAliquotaResponse" nillable="true" type="tns:aliquoteResponse" />
      <xs:element name="geolocalizzaIndirizzo" nillable="true" type="tns:geolocalizzaIndirizzoRequest" />
      <xs:element name="geolocalizzaIndirizzoResponse" nillable="true" type="tns:geolocalizzaIndirizzoResponse" />
      <xs:element name="getMapComuniItaly" nillable="true" type="tns:mapComuniItalyRequest" />
      <xs:element name="getMapComuniItalyResponse" nillable="true" type="tns:mapResponse" />
      <xs:element name="findDetrazione" nillable="true" type="tns:detrazioneRequest" />
      <xs:element name="findDetrazioneResponse" nillable="true" type="tns:detrazioniResponse" />
      <xs:element name="getAnagraficaComuni" nillable="true" type="tns:request" />
      <xs:element name="getAnagraficaComuniResponse" nillable="true" type="tns:anagraficaComuniResponse" />
      <xs:element name="getStatoRichieste" nillable="true" type="tns:statoRichiesteRequest" />
      <xs:element name="getStatoRichiesteResponse" nillable="true" type="tns:statoRichiesteResponse" />
      <xs:element name="getDataAggiornamento" nillable="true" type="tns:dataAggiornamentoRequest" />
      <xs:element name="getDataAggiornamentoResponse" nillable="true" type="tns:dataAggiornamentoResponse" />
      <xs:element name="whatIfValutazioneOnline" nillable="true" type="tns:whatIfOnlineRequest" />
      <xs:element name="whatIfValutazioneOnlineResponse" nillable="true" type="tns:whatIfOnlineResponse" />
      <xs:element name="tariImmobili" nillable="true" type="tns:tariImmobiliRequest" />
      <xs:element name="tariImmobiliResponse" nillable="true" type="tns:tariImmobiliResponse" />
      <xs:element name="findAliquota" nillable="true" type="tns:aliquoteRequest" />
      <xs:element name="findAliquotaResponse" nillable="true" type="tns:aliquoteResponse" />
      <xs:element name="richiestaMassivaCodiciFiscali" nillable="true" type="tns:infoCatastaliMassivaRequest" />
      <xs:element name="richiestaMassivaCodiciFiscaliResponse" nillable="true" type="tns:infoCatastaliMassivaResponse" />
      <xs:element name="mapByAddress" nillable="true" type="tns:mapRequest" />
      <xs:element name="mapByAddressResponse" nillable="true" type="tns:mapResponse" />
      <xs:element name="fiscalitaImmobili" nillable="true" type="tns:aliquoteImmobiliRequest" />
      <xs:element name="fiscalitaImmobiliResponse" nillable="true" type="tns:aliquoteImmobiliResponse" />
      <xs:element name="searchByCodiceFiscale" nillable="true" type="tns:infoCatastaliByCodiceFiscaleRequest" />
      <xs:element name="searchByCodiceFiscaleResponse" nillable="true" type="tns:infoCatastaliResponse" />
      <xs:element name="getStatoMassiva" nillable="true" type="tns:statoMassivaRequest" />
      <xs:element name="getStatoMassivaResponse" nillable="true" type="tns:statoMassivaResponse" />
    </xs:schema>
  </wsdl:types>
  <wsdl:message name="getMapByCoordinateResponse">
    <wsdl:part name="getMapByCoordinateResponse" element="tns:getMapByCoordinateResponse" />
  </wsdl:message>
  <wsdl:message name="richiestaMassivaCodiciFiscali">
    <wsdl:part name="richiestaMassivaCodiciFiscali" element="tns:richiestaMassivaCodiciFiscali" />
  </wsdl:message>
  <wsdl:message name="whatIfValutazioneOmiResponse">
    <wsdl:part name="whatIfValutazioneOmiResponse" element="tns:whatIfValutazioneOmiResponse" />
  </wsdl:message>
  <wsdl:message name="fiscalitaImmobili">
    <wsdl:part name="fiscalitaImmobili" element="tns:fiscalitaImmobili" />
  </wsdl:message>
  <wsdl:message name="findAliquota">
    <wsdl:part name="findAliquota" element="tns:findAliquota" />
  </wsdl:message>
  <wsdl:message name="Exception">
    <wsdl:part name="Exception" element="tns:Exception" />
  </wsdl:message>
  <wsdl:message name="getStatoRichiesteResponse">
    <wsdl:part name="getStatoRichiesteResponse" element="tns:getStatoRichiesteResponse" />
  </wsdl:message>
  <wsdl:message name="mapByAddress">
    <wsdl:part name="mapByAddress" element="tns:mapByAddress" />
  </wsdl:message>
  <wsdl:message name="getValoreCatastale">
    <wsdl:part name="getValoreCatastale" element="tns:getValoreCatastale" />
  </wsdl:message>
  <wsdl:message name="searchByCodiceFiscaleResponse">
    <wsdl:part name="searchByCodiceFiscaleResponse" element="tns:searchByCodiceFiscaleResponse" />
  </wsdl:message>
  <wsdl:message name="tariImmobiliResponse">
    <wsdl:part name="tariImmobiliResponse" element="tns:tariImmobiliResponse" />
  </wsdl:message>
  <wsdl:message name="getStatoMassiva">
    <wsdl:part name="getStatoMassiva" element="tns:getStatoMassiva" />
  </wsdl:message>
  <wsdl:message name="getAnagraficaComuniResponse">
    <wsdl:part name="getAnagraficaComuniResponse" element="tns:getAnagraficaComuniResponse" />
  </wsdl:message>
  <wsdl:message name="getValutazioneIndirizzi">
    <wsdl:part name="getValutazioneIndirizzi" element="tns:getValutazioneIndirizzi" />
  </wsdl:message>
  <wsdl:message name="findAliquotaResponse">
    <wsdl:part name="findAliquotaResponse" element="tns:findAliquotaResponse" />
  </wsdl:message>
  <wsdl:message name="mapByLatLon">
    <wsdl:part name="mapByLatLon" element="tns:mapByLatLon" />
  </wsdl:message>
  <wsdl:message name="findSubAliquota">
    <wsdl:part name="findSubAliquota" element="tns:findSubAliquota" />
  </wsdl:message>
  <wsdl:message name="getAnagraficaComuni">
    <wsdl:part name="getAnagraficaComuni" element="tns:getAnagraficaComuni" />
  </wsdl:message>
  <wsdl:message name="geolocalizzaIndirizzoResponse">
    <wsdl:part name="geolocalizzaIndirizzoResponse" element="tns:geolocalizzaIndirizzoResponse" />
  </wsdl:message>
  <wsdl:message name="getMapComuniItalyResponse">
    <wsdl:part name="getMapComuniItalyResponse" element="tns:getMapComuniItalyResponse" />
  </wsdl:message>
  <wsdl:message name="richiestaMassivaCodiciFiscaliResponse">
    <wsdl:part name="richiestaMassivaCodiciFiscaliResponse" element="tns:richiestaMassivaCodiciFiscaliResponse" />
  </wsdl:message>
  <wsdl:message name="whatIfValutazioneOnline">
    <wsdl:part name="whatIfValutazioneOnline" element="tns:whatIfValutazioneOnline" />
  </wsdl:message>
  <wsdl:message name="getComune">
    <wsdl:part name="getComune" element="tns:getComune" />
  </wsdl:message>
  <wsdl:message name="getDataAggiornamento">
    <wsdl:part name="getDataAggiornamento" element="tns:getDataAggiornamento" />
  </wsdl:message>
  <wsdl:message name="getValoreCatastaleResponse">
    <wsdl:part name="getValoreCatastaleResponse" element="tns:getValoreCatastaleResponse" />
  </wsdl:message>
  <wsdl:message name="whatIfValutazioneOnlineResponse">
    <wsdl:part name="whatIfValutazioneOnlineResponse" element="tns:whatIfValutazioneOnlineResponse" />
  </wsdl:message>
  <wsdl:message name="searchByCodiceFiscale">
    <wsdl:part name="searchByCodiceFiscale" element="tns:searchByCodiceFiscale" />
  </wsdl:message>
  <wsdl:message name="getMapComuniItaly">
    <wsdl:part name="getMapComuniItaly" element="tns:getMapComuniItaly" />
  </wsdl:message>
  <wsdl:message name="fiscalitaImmobiliResponse">
    <wsdl:part name="fiscalitaImmobiliResponse" element="tns:fiscalitaImmobiliResponse" />
  </wsdl:message>
  <wsdl:message name="geolocalizzaIndirizzo">
    <wsdl:part name="geolocalizzaIndirizzo" element="tns:geolocalizzaIndirizzo" />
  </wsdl:message>
  <wsdl:message name="mapByAddressResponse">
    <wsdl:part name="mapByAddressResponse" element="tns:mapByAddressResponse" />
  </wsdl:message>
  <wsdl:message name="getDataAggiornamentoResponse">
    <wsdl:part name="getDataAggiornamentoResponse" element="tns:getDataAggiornamentoResponse" />
  </wsdl:message>
  <wsdl:message name="getValutazioneIndirizziResponse">
    <wsdl:part name="getValutazioneIndirizziResponse" element="tns:getValutazioneIndirizziResponse" />
  </wsdl:message>
  <wsdl:message name="getZonaOmi">
    <wsdl:part name="getZonaOmi" element="tns:getZonaOmi" />
  </wsdl:message>
  <wsdl:message name="findSubAliquotaResponse">
    <wsdl:part name="findSubAliquotaResponse" element="tns:findSubAliquotaResponse" />
  </wsdl:message>
  <wsdl:message name="findDetrazione">
    <wsdl:part name="findDetrazione" element="tns:findDetrazione" />
  </wsdl:message>
  <wsdl:message name="getStatoRichieste">
    <wsdl:part name="getStatoRichieste" element="tns:getStatoRichieste" />
  </wsdl:message>
  <wsdl:message name="mapByLatLonResponse">
    <wsdl:part name="mapByLatLonResponse" element="tns:mapByLatLonResponse" />
  </wsdl:message>
  <wsdl:message name="whatIfValutazioneOmi">
    <wsdl:part name="whatIfValutazioneOmi" element="tns:whatIfValutazioneOmi" />
  </wsdl:message>
  <wsdl:message name="getMapByCoordinate">
    <wsdl:part name="getMapByCoordinate" element="tns:getMapByCoordinate" />
  </wsdl:message>
  <wsdl:message name="tariImmobili">
    <wsdl:part name="tariImmobili" element="tns:tariImmobili" />
  </wsdl:message>
  <wsdl:message name="getFiscalitaComuneResponse">
    <wsdl:part name="getFiscalitaComuneResponse" element="tns:getFiscalitaComuneResponse" />
  </wsdl:message>
  <wsdl:message name="getStatoMassivaResponse">
    <wsdl:part name="getStatoMassivaResponse" element="tns:getStatoMassivaResponse" />
  </wsdl:message>
  <wsdl:message name="findDetrazioneResponse">
    <wsdl:part name="findDetrazioneResponse" element="tns:findDetrazioneResponse" />
  </wsdl:message>
  <wsdl:message name="getFiscalitaComune">
    <wsdl:part name="getFiscalitaComune" element="tns:getFiscalitaComune" />
  </wsdl:message>
  <wsdl:message name="getZonaOmiResponse">
    <wsdl:part name="getZonaOmiResponse" element="tns:getZonaOmiResponse" />
  </wsdl:message>
  <wsdl:message name="getComuneResponse">
    <wsdl:part name="getComuneResponse" element="tns:getComuneResponse" />
  </wsdl:message>
  <wsdl:portType name="CatastoService">
    <wsdl:operation name="getMapByCoordinate">
      <wsdl:input name="getMapByCoordinate" message="tns:getMapByCoordinate" />
      <wsdl:output name="getMapByCoordinateResponse" message="tns:getMapByCoordinateResponse" />
      <wsdl:fault name="Exception" message="tns:Exception" />
    </wsdl:operation>
    <wsdl:operation name="whatIfValutazioneOmi">
      <wsdl:input name="whatIfValutazioneOmi" message="tns:whatIfValutazioneOmi" />
      <wsdl:output name="whatIfValutazioneOmiResponse" message="tns:whatIfValutazioneOmiResponse" />
      <wsdl:fault name="Exception" message="tns:Exception" />
    </wsdl:operation>
    <wsdl:operation name="getFiscalitaComune">
      <wsdl:input name="getFiscalitaComune" message="tns:getFiscalitaComune" />
      <wsdl:output name="getFiscalitaComuneResponse" message="tns:getFiscalitaComuneResponse" />
      <wsdl:fault name="Exception" message="tns:Exception" />
    </wsdl:operation>
    <wsdl:operation name="mapByLatLon">
      <wsdl:input name="mapByLatLon" message="tns:mapByLatLon" />
      <wsdl:output name="mapByLatLonResponse" message="tns:mapByLatLonResponse" />
      <wsdl:fault name="Exception" message="tns:Exception" />
    </wsdl:operation>
    <wsdl:operation name="getValutazioneIndirizzi">
      <wsdl:input name="getValutazioneIndirizzi" message="tns:getValutazioneIndirizzi" />
      <wsdl:output name="getValutazioneIndirizziResponse" message="tns:getValutazioneIndirizziResponse" />
      <wsdl:fault name="Exception" message="tns:Exception" />
    </wsdl:operation>
    <wsdl:operation name="getValoreCatastale">
      <wsdl:input name="getValoreCatastale" message="tns:getValoreCatastale" />
      <wsdl:output name="getValoreCatastaleResponse" message="tns:getValoreCatastaleResponse" />
      <wsdl:fault name="Exception" message="tns:Exception" />
    </wsdl:operation>
    <wsdl:operation name="getZonaOmi">
      <wsdl:input name="getZonaOmi" message="tns:getZonaOmi" />
      <wsdl:output name="getZonaOmiResponse" message="tns:getZonaOmiResponse" />
      <wsdl:fault name="Exception" message="tns:Exception" />
    </wsdl:operation>
    <wsdl:operation name="getComune">
      <wsdl:input name="getComune" message="tns:getComune" />
      <wsdl:output name="getComuneResponse" message="tns:getComuneResponse" />
      <wsdl:fault name="Exception" message="tns:Exception" />
    </wsdl:operation>
    <wsdl:operation name="findSubAliquota">
      <wsdl:input name="findSubAliquota" message="tns:findSubAliquota" />
      <wsdl:output name="findSubAliquotaResponse" message="tns:findSubAliquotaResponse" />
    </wsdl:operation>
    <wsdl:operation name="geolocalizzaIndirizzo">
      <wsdl:input name="geolocalizzaIndirizzo" message="tns:geolocalizzaIndirizzo" />
      <wsdl:output name="geolocalizzaIndirizzoResponse" message="tns:geolocalizzaIndirizzoResponse" />
      <wsdl:fault name="Exception" message="tns:Exception" />
    </wsdl:operation>
    <wsdl:operation name="getMapComuniItaly">
      <wsdl:input name="getMapComuniItaly" message="tns:getMapComuniItaly" />
      <wsdl:output name="getMapComuniItalyResponse" message="tns:getMapComuniItalyResponse" />
      <wsdl:fault name="Exception" message="tns:Exception" />
    </wsdl:operation>
    <wsdl:operation name="findDetrazione">
      <wsdl:input name="findDetrazione" message="tns:findDetrazione" />
      <wsdl:output name="findDetrazioneResponse" message="tns:findDetrazioneResponse" />
    </wsdl:operation>
    <wsdl:operation name="getAnagraficaComuni">
      <wsdl:input name="getAnagraficaComuni" message="tns:getAnagraficaComuni" />
      <wsdl:output name="getAnagraficaComuniResponse" message="tns:getAnagraficaComuniResponse" />
      <wsdl:fault name="Exception" message="tns:Exception" />
    </wsdl:operation>
    <wsdl:operation name="getStatoRichieste">
      <wsdl:input name="getStatoRichieste" message="tns:getStatoRichieste" />
      <wsdl:output name="getStatoRichiesteResponse" message="tns:getStatoRichiesteResponse" />
      <wsdl:fault name="Exception" message="tns:Exception" />
    </wsdl:operation>
    <wsdl:operation name="getDataAggiornamento">
      <wsdl:input name="getDataAggiornamento" message="tns:getDataAggiornamento" />
      <wsdl:output name="getDataAggiornamentoResponse" message="tns:getDataAggiornamentoResponse" />
      <wsdl:fault name="Exception" message="tns:Exception" />
    </wsdl:operation>
    <wsdl:operation name="whatIfValutazioneOnline">
      <wsdl:input name="whatIfValutazioneOnline" message="tns:whatIfValutazioneOnline" />
      <wsdl:output name="whatIfValutazioneOnlineResponse" message="tns:whatIfValutazioneOnlineResponse" />
      <wsdl:fault name="Exception" message="tns:Exception" />
    </wsdl:operation>
    <wsdl:operation name="tariImmobili">
      <wsdl:input name="tariImmobili" message="tns:tariImmobili" />
      <wsdl:output name="tariImmobiliResponse" message="tns:tariImmobiliResponse" />
      <wsdl:fault name="Exception" message="tns:Exception" />
    </wsdl:operation>
    <wsdl:operation name="findAliquota">
      <wsdl:input name="findAliquota" message="tns:findAliquota" />
      <wsdl:output name="findAliquotaResponse" message="tns:findAliquotaResponse" />
    </wsdl:operation>
    <wsdl:operation name="richiestaMassivaCodiciFiscali">
      <wsdl:input name="richiestaMassivaCodiciFiscali" message="tns:richiestaMassivaCodiciFiscali" />
      <wsdl:output name="richiestaMassivaCodiciFiscaliResponse" message="tns:richiestaMassivaCodiciFiscaliResponse" />
      <wsdl:fault name="Exception" message="tns:Exception" />
    </wsdl:operation>
    <wsdl:operation name="mapByAddress">
      <wsdl:input name="mapByAddress" message="tns:mapByAddress" />
      <wsdl:output name="mapByAddressResponse" message="tns:mapByAddressResponse" />
      <wsdl:fault name="Exception" message="tns:Exception" />
    </wsdl:operation>
    <wsdl:operation name="fiscalitaImmobili">
      <wsdl:input name="fiscalitaImmobili" message="tns:fiscalitaImmobili" />
      <wsdl:output name="fiscalitaImmobiliResponse" message="tns:fiscalitaImmobiliResponse" />
      <wsdl:fault name="Exception" message="tns:Exception" />
    </wsdl:operation>
    <wsdl:operation name="searchByCodiceFiscale">
      <wsdl:input name="searchByCodiceFiscale" message="tns:searchByCodiceFiscale" />
      <wsdl:output name="searchByCodiceFiscaleResponse" message="tns:searchByCodiceFiscaleResponse" />
      <wsdl:fault name="Exception" message="tns:Exception" />
    </wsdl:operation>
    <wsdl:operation name="getStatoMassiva">
      <wsdl:input name="getStatoMassiva" message="tns:getStatoMassiva" />
      <wsdl:output name="getStatoMassivaResponse" message="tns:getStatoMassivaResponse" />
      <wsdl:fault name="Exception" message="tns:Exception" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="CatastoServiceServiceSoapBinding" type="tns:CatastoService">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="getMapByCoordinate">
      <soap:operation soapAction="" style="document" />
      <wsdl:input name="getMapByCoordinate">
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="getMapByCoordinateResponse">
        <soap:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="Exception">
        <soap:fault use="literal" name="Exception" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="getFiscalitaComune">
      <soap:operation soapAction="" style="document" />
      <wsdl:input name="getFiscalitaComune">
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="getFiscalitaComuneResponse">
        <soap:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="Exception">
        <soap:fault use="literal" name="Exception" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="whatIfValutazioneOmi">
      <soap:operation soapAction="" style="document" />
      <wsdl:input name="whatIfValutazioneOmi">
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="whatIfValutazioneOmiResponse">
        <soap:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="Exception">
        <soap:fault use="literal" name="Exception" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="mapByLatLon">
      <soap:operation soapAction="" style="document" />
      <wsdl:input name="mapByLatLon">
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="mapByLatLonResponse">
        <soap:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="Exception">
        <soap:fault use="literal" name="Exception" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="getValutazioneIndirizzi">
      <soap:operation soapAction="" style="document" />
      <wsdl:input name="getValutazioneIndirizzi">
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="getValutazioneIndirizziResponse">
        <soap:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="Exception">
        <soap:fault use="literal" name="Exception" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="getValoreCatastale">
      <soap:operation soapAction="" style="document" />
      <wsdl:input name="getValoreCatastale">
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="getValoreCatastaleResponse">
        <soap:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="Exception">
        <soap:fault use="literal" name="Exception" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="getComune">
      <soap:operation soapAction="" style="document" />
      <wsdl:input name="getComune">
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="getComuneResponse">
        <soap:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="Exception">
        <soap:fault use="literal" name="Exception" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="getZonaOmi">
      <soap:operation soapAction="" style="document" />
      <wsdl:input name="getZonaOmi">
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="getZonaOmiResponse">
        <soap:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="Exception">
        <soap:fault use="literal" name="Exception" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="findSubAliquota">
      <soap:operation soapAction="" style="document" />
      <wsdl:input name="findSubAliquota">
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="findSubAliquotaResponse">
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="geolocalizzaIndirizzo">
      <soap:operation soapAction="" style="document" />
      <wsdl:input name="geolocalizzaIndirizzo">
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="geolocalizzaIndirizzoResponse">
        <soap:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="Exception">
        <soap:fault use="literal" name="Exception" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="getMapComuniItaly">
      <soap:operation soapAction="" style="document" />
      <wsdl:input name="getMapComuniItaly">
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="getMapComuniItalyResponse">
        <soap:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="Exception">
        <soap:fault use="literal" name="Exception" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="findDetrazione">
      <soap:operation soapAction="" style="document" />
      <wsdl:input name="findDetrazione">
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="findDetrazioneResponse">
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getAnagraficaComuni">
      <soap:operation soapAction="" style="document" />
      <wsdl:input name="getAnagraficaComuni">
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="getAnagraficaComuniResponse">
        <soap:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="Exception">
        <soap:fault use="literal" name="Exception" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="getDataAggiornamento">
      <soap:operation soapAction="" style="document" />
      <wsdl:input name="getDataAggiornamento">
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="getDataAggiornamentoResponse">
        <soap:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="Exception">
        <soap:fault use="literal" name="Exception" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="getStatoRichieste">
      <soap:operation soapAction="" style="document" />
      <wsdl:input name="getStatoRichieste">
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="getStatoRichiesteResponse">
        <soap:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="Exception">
        <soap:fault use="literal" name="Exception" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="whatIfValutazioneOnline">
      <soap:operation soapAction="" style="document" />
      <wsdl:input name="whatIfValutazioneOnline">
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="whatIfValutazioneOnlineResponse">
        <soap:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="Exception">
        <soap:fault use="literal" name="Exception" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="tariImmobili">
      <soap:operation soapAction="" style="document" />
      <wsdl:input name="tariImmobili">
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="tariImmobiliResponse">
        <soap:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="Exception">
        <soap:fault use="literal" name="Exception" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="findAliquota">
      <soap:operation soapAction="" style="document" />
      <wsdl:input name="findAliquota">
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="findAliquotaResponse">
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="richiestaMassivaCodiciFiscali">
      <soap:operation soapAction="" style="document" />
      <wsdl:input name="richiestaMassivaCodiciFiscali">
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="richiestaMassivaCodiciFiscaliResponse">
        <soap:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="Exception">
        <soap:fault use="literal" name="Exception" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="fiscalitaImmobili">
      <soap:operation soapAction="" style="document" />
      <wsdl:input name="fiscalitaImmobili">
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="fiscalitaImmobiliResponse">
        <soap:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="Exception">
        <soap:fault use="literal" name="Exception" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="mapByAddress">
      <soap:operation soapAction="" style="document" />
      <wsdl:input name="mapByAddress">
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="mapByAddressResponse">
        <soap:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="Exception">
        <soap:fault use="literal" name="Exception" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="searchByCodiceFiscale">
      <soap:operation soapAction="" style="document" />
      <wsdl:input name="searchByCodiceFiscale">
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="searchByCodiceFiscaleResponse">
        <soap:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="Exception">
        <soap:fault use="literal" name="Exception" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="getStatoMassiva">
      <soap:operation soapAction="" style="document" />
      <wsdl:input name="getStatoMassiva">
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="getStatoMassivaResponse">
        <soap:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="Exception">
        <soap:fault use="literal" name="Exception" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="CatastoServiceService">
    <wsdl:port name="CatastoServicePort" binding="tns:CatastoServiceServiceSoapBinding">
      <soap:address location="http://realestate-test.prometeia.it/IMEServices/ws/catasto/" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>